## ros-one-zbar-ros 0.3.1-0jammy.20251023.0241

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(zbar_ros)

find_package(catkin REQUIRED COMPONENTS roscpp cv_bridge nodelet roslint)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES barcode_reader_nodelet
  CATKIN_DEPENDS nodelet cv_bridge roscpp
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(barcode_reader_nodelet src/barcode_reader_nodelet.cpp)
target_link_libraries(barcode_reader_nodelet zbar ${catkin_LIBRARIES})

add_executable(barcode_reader_node src/barcode_reader_node.cpp)
target_link_libraries(barcode_reader_node ${catkin_LIBRARIES})

roslint_cpp()

install(TARGETS barcode_reader_node barcode_reader_nodelet
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-zbar-ros (0.3.1-0jammy.20251023.0241) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 23 Oct 2025 02:41:36 +0000

ros-one-zbar-ros (0.3.1-0jammy) jammy; urgency=high

  * Fix iterator invalidation bug when cleaning the database of previously detected barcodes (#14 <https://github.com/ros-drivers/zbar_ros/issues/14>)
  * Trigger CI
  * Add LICENSE
  * Contributors: Paul Bovbel, Stephen Williams

 -- Paul Bovbel <paul@bovbel.com>  Tue, 28 Jun 2022 00:00:00 -0000

ros-one-zbar-ros (0.3.0-0jammy) jammy; urgency=high

  * Lint and close #6 <https://github.com/ros-drivers/zbar_ros/issues/6>
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-one-zbar-ros (0.2.0-0jammy) jammy; urgency=high

  * Keep tooling CI
  * Update header for newer opencv version
  * Add github action
  * Contributors: Gary Servin, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-one-zbar-ros (0.1.0-0jammy) jammy; urgency=high

  * Update maintainer
  * Merge pull request #4 <https://github.com/ros-drivers/zbar_ros/issues/4> from mikaelarguedas/patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Some fixes to work (#2 <https://github.com/ros-drivers/zbar_ros/issues/2>)
    * fix wrong encoding
    * fix memory leak
  * Update README.md
  * Contributors: Furushchev, Mikael Arguedas, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 14 Dec 2017 00:00:00 -0000

ros-one-zbar-ros (0.0.5-0jammy) jammy; urgency=high

  * Fix nodelets.xml installation
  * Only create timer if throttling enabled
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 31 Mar 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.4-0jammy) jammy; urgency=high

  * Style fixes
  * Fix naming and debug messages
  * Update node->nodelet wrapper
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.3-0jammy) jammy; urgency=high

  * remove stray tf in cmake
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sun, 11 Jan 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.2-0jammy) jammy; urgency=high

  * update dependencies
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.1-0jammy) jammy; urgency=high

  * Initial development of zbar_ros
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-zbar-ros
Section: misc
Priority: optional
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), libzbar-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-nodelet, ros-one-roscpp, ros-one-roslint
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-zbar-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar-dev, ros-one-cv-bridge, ros-one-nodelet, ros-one-roscpp
Description: Lightweight ROS wrapper for Zbar barcode/qrcode reader library (http://zbar.sourceforge .net/)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-zbar-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-zbar-ros 0.3.1-0jammy.20260220.2325

=== debian/changelog ===
ros-one-zbar-ros (0.3.1-0jammy.20260220.2325) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Fri, 20 Feb 2026 23:25:29 +0000

## ros-one-zbar-ros 0.3.1-0noble.20251023.0239

=== debian/changelog ===
ros-one-zbar-ros (0.3.1-0noble.20251023.0239) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Thu, 23 Oct 2025 02:39:47 +0000

ros-one-zbar-ros (0.3.1-0noble) noble; urgency=high

  * Fix iterator invalidation bug when cleaning the database of previously detected barcodes (#14 <https://github.com/ros-drivers/zbar_ros/issues/14>)
  * Trigger CI
  * Add LICENSE
  * Contributors: Paul Bovbel, Stephen Williams

 -- Paul Bovbel <paul@bovbel.com>  Tue, 28 Jun 2022 00:00:00 -0000

ros-one-zbar-ros (0.3.0-0noble) noble; urgency=high

  * Lint and close #6 <https://github.com/ros-drivers/zbar_ros/issues/6>
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-one-zbar-ros (0.2.0-0noble) noble; urgency=high

  * Keep tooling CI
  * Update header for newer opencv version
  * Add github action
  * Contributors: Gary Servin, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 12 Mar 2021 00:00:00 -0000

ros-one-zbar-ros (0.1.0-0noble) noble; urgency=high

  * Update maintainer
  * Merge pull request #4 <https://github.com/ros-drivers/zbar_ros/issues/4> from mikaelarguedas/patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Some fixes to work (#2 <https://github.com/ros-drivers/zbar_ros/issues/2>)
    * fix wrong encoding
    * fix memory leak
  * Update README.md
  * Contributors: Furushchev, Mikael Arguedas, Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 14 Dec 2017 00:00:00 -0000

ros-one-zbar-ros (0.0.5-0noble) noble; urgency=high

  * Fix nodelets.xml installation
  * Only create timer if throttling enabled
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 31 Mar 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.4-0noble) noble; urgency=high

  * Style fixes
  * Fix naming and debug messages
  * Update node->nodelet wrapper
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 16 Jan 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.3-0noble) noble; urgency=high

  * remove stray tf in cmake
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sun, 11 Jan 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.2-0noble) noble; urgency=high

  * update dependencies
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

ros-one-zbar-ros (0.0.1-0noble) noble; urgency=high

  * Initial development of zbar_ros
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 00:00:00 -0000

## ros-one-zbar-ros 0.3.1-0noble.20260220.2344

=== debian/changelog ===
ros-one-zbar-ros (0.3.1-0noble.20260220.2344) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <paul@bovbel.com>  Fri, 20 Feb 2026 23:44:57 +0000
